/// <reference types="react" />
import { TFormCustomProps } from "primeobjects-ui-web-application";
export declare const SHORTEN_TAG_LOCAL_STORAGE_KEY = "shorten-tag";
export declare const MAX_TAG_LENGTH_TO_DISPLAY_LOCAL_STORAGE_KEY = "max-tag-length-to-display";
export type TCategoryTagsGetRowsProps = TFormCustomProps & {
    record: Record<string, any>;
    hideCategory?: boolean;
    hideAIButtons?: boolean;
    hideFullTagSettings?: boolean;
    hideLocalTagsPoolButton?: boolean;
    hideAWSButton?: boolean;
    hideOpenAIButton?: boolean;
    hideGoogleButton?: boolean;
};
export declare const getRows: (props: TCategoryTagsGetRowsProps) => (false | {
    fields: {
        alwaysShowLabel: boolean;
        name: string;
        label: string;
        placeholder: string;
        entityName: string;
        regardingEntityName: any;
        type: string;
    }[];
    style?: undefined;
    section?: undefined;
} | {
    fields: {
        name: string;
        label: string;
        type: string;
        placeholder: string;
        maxTagLengthToDisplay: any;
        alwaysShowLabel: boolean;
    }[];
    style?: undefined;
    section?: undefined;
} | {
    fields: ({
        colStyle: {
            maxWidth: string | number;
        };
        wrapperClassName: string;
        name: string;
        type: string;
        label: string;
        inputSize: string;
        useFieldValue: boolean;
        value: any;
        size: string;
        skipRecordUpdate: boolean;
        onChange: (newRecord: Record<string, any>) => void;
        hideLabel?: undefined;
        options?: undefined;
    } | {
        colStyle: {
            maxWidth: number;
        };
        name: string;
        type: string;
        hideLabel: boolean;
        useFieldValue: boolean;
        skipRecordUpdate: boolean;
        value: any;
        options: {
            value: number;
            text: string;
        }[];
        onChange: (newRecord: Record<string, any>) => void;
        wrapperClassName?: undefined;
        label?: undefined;
        inputSize?: undefined;
        size?: undefined;
    } | {
        type: string;
        colStyle: {
            maxWidth: number;
        };
        wrapperClassName?: undefined;
        name?: undefined;
        label?: undefined;
        inputSize?: undefined;
        useFieldValue?: undefined;
        value?: undefined;
        size?: undefined;
        skipRecordUpdate?: undefined;
        onChange?: undefined;
        hideLabel?: undefined;
        options?: undefined;
    })[];
    style?: undefined;
    section?: undefined;
} | {
    style: {
        paddingBottom: string;
    };
    fields: {
        name: string;
        lineStyle: {
            color: string;
        };
        lineClassName: string;
        line: string;
        type: string;
    }[];
    section?: undefined;
} | {
    style: {
        paddingBottom: number;
    };
    fields: {
        name: string;
        type: string;
        content: JSX.Element;
    }[];
    section?: undefined;
} | {
    fields: {
        name: string;
        type: string;
        line: string;
    }[];
    style?: undefined;
    section?: undefined;
} | {
    section: string;
    fields: {
        name: string;
        colStyle: {
            flex: number;
            alignItems: string;
        };
        content: JSX.Element;
        type: string;
    }[];
    style?: undefined;
})[];
export declare const getForm: (props: TCategoryTagsGetRowsProps) => Record<string, any>;
